Bug 869373 - https publishing is not giving the status
https publishing is not giving the status
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 41
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 13:43 EDT by Preethi Thomas
Modified: 2013-09-09 12:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-10-23 13:43:59 EDT
Description of problem:

Looks like the publishing over https is not giving the status as to whether its completed or not.

Version-Release number of selected component (if applicable):
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.333-1.fc17.noarch
[root@pulp-master ~]# 



How reproducible:


Steps to Reproduce:
1. create an rpm repo
2. run repo sync
3. see the status
  
Actual results:

Notice the status of https publishing

Publishing repository over HTTPS
[-]

[root@pulp-master ~]# pulp-admin rpm repo sync  run --repo-id scientific
+----------------------------------------------------------------------+
                 Synchronizing Repository [scientific]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       487/487 items
Delta RPMs: 0/0 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[\]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
Publishing repository over HTTP
[-]
... skipped
[\]
... completed



Expected results:


Additional info:
Comment 1 Jay Dobies 2012-10-29 16:23:44 EDT
commit fc3b7d0153da7c733daae7e2b40200ce54f8a783
Comment 2 Jeff Ortel 2012-11-12 17:33:35 EST
build: 2.0.6-0.2.beta
Comment 3 Preethi Thomas 2012-11-26 21:21:03 EST
verified

[root@preethi-el6-pulp ~]# rpm -q pulp-server
pulp-server-2.0.6-0.9.beta.noarch
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-admin rpm repo sync run --repo-id scientific
+----------------------------------------------------------------------+
                 Synchronizing Repository [scientific]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       562/562 items
Delta RPMs: 0/0 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[/]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTPS
[-]
... completed

Publishing repository over HTTP
[-]
... skipped

[root@preethi-el6-pulp ~]#
Comment 4 Preethi Thomas 2013-01-09 12:09:02 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.